Subject: Re: Problem compiling Perl Tk800.024
From: "Gerrit P. Haase" <[email-masked]>
To: "Dr. Volker Zell" <[email-masked]>
Cc: [email-masked]
Date: Sat, 8 Mar 2003 17:44:01 +0100

Hallo Volker,

Am Mittwoch, 5. März 2003 um 11:03 schriebst du:

>>>>>> "Gerrit" == Gerrit P Haase <[email-masked]> writes:

>     Gerrit> Hallo Dr. Zell,
>     >> By the way I'm using perl-5.8.0. (Does anyone know why
>     >> all the man pages and perl scripts in /bin have CRLF's ?)

>     Gerrit> You're the first to report this, I'll take a look ASAP, if
>     Gerrit> there are CRLF's, then this is a bug.

> I found out during the switch from my "home compiled 5.6.0" perl to your version.
> I recompiled a couple of modules which I used, with your current perl version under
> cpan and installed them smoothly. Then I compiled DBI:DBD in a plain shell without
> using cpan and realized that all perl generated files (scripts, man pages and even the
> Makefile) had CRLF's.
> After a little bit of reading docu I found the culprit of being
> PERLIO=perlio
> in the cpan script.

Correct. I use it, because it doesn't work as used with the default setting.

> Now I have PERLIO=raw in my general environment and it seems that all perl generated
> files now have LF's again (I hate CRLF's).

I'll examine if I can use this instead of perlio.  The PERLIO variable
is a little mystery to me, the problem with CPAN and the cpan shell is
that it doesn't work correct if you use no setting, well it works, but
I always need to enter 'Enter' twice then, so I tried PERLIO=perlio
which works as I'm expecting it, never saw that there are CRLF's in
the files (and I don't mind that much as long as it works as it should
work).  Depending on the editor you use it is annoying to have CRLF or
to have no CRLF.

> Just by chance I looked at the scripts and man pages from your perl-5.8.0 distro and
> voila they also have CRLF's although a perl -V suggests that you have used PERLIO=raw
> during buidling.

perl -V displays not the buildenvironment, but your settings!

> Hmmmmmmmmmmhhh ?

I use PERLIO=perlio to run the testsuite because of two errors which
occur without this.  And I try to avoid using it during building.
Since I used a PC from a friend to build the dist version I'm not
sure if the environment there is matching my default settings at home.

> Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration:

> <<< snip >>>
[snap]

Thank you for this report,

Gerrit
-- 
=^..^=